    ssl_certificate /etc/letsencrypt/live/{{ icecast_hostname }}/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/{{ icecast_hostname }}/privkey.pem;
    ssl_session_timeout 1d;
    ssl_session_cache shared:MozSSL:10m;  # about 40000 sessions

    # modern configuration
    ssl_protocols TLSv1.3;
    ssl_prefer_server_ciphers off;

    location ^~ /.well-known/acme-challenge/ {
        default_type "text/plain";
        root /usr/share/nginx/letsencrypt;
    }

